/**
 * 中彰投頁面樣式
 *
 * @package mytheme
 */
/* cost */
.cost-section {
  padding: 48px;
}
.cost-container {
  width: 100%;
  max-width: 1300px;
  position: relative;
  margin: 36px auto 48px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 48px;
  text-align: center;
  color: #fff;
  font-family: Inter;
}
.cost-up-wrap {
  display: flex;
  gap: 65px;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
.cost-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}
.cost-head {
  align-self: stretch;
  height: 120px;
  border-radius: 40px 40px 10px 10px;
  background: linear-gradient(172.18deg, #53bf6f, #275934);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 11px 10px 56px;
  box-sizing: border-box;
}
.cost-title {
  position: relative;
  line-height: 40px;
  font-weight: 500;
}
.cost-des {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 18px;
  width: 100%;
}
.cost-text {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 20px;
}
.cost-line {
  align-self: stretch;
  height: 1px;
  position: relative;
  border-top: 1px solid #000;
  box-sizing: border-box;
}
.cost-detail {
  flex: 1;
  display: flex;
  align-items: center;
  gap: 20px;
}
.cost-money-icon {
  height: 40px;
  width: auto;
  position: relative;
}
.cost-box {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.cost-bottom-wrap {
  display: flex;
  width: 100%;
  gap: 110px;
  justify-content: space-between;
  align-items: center;
}
.cost-inner {
  width: -webkit-fill-available;
  height: 245px;
  margin: 0 20px;
  box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.25);
  border-radius: 20px;
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 40px;
  box-sizing: border-box;
  margin-top: -60px;
  position: relative;
  color: #000;
  gap: 40px;
}
.cost-strong-text {
  align-self: stretch;
  position: relative;
  line-height: 36px;
}

.cost-red-highlight-text,
.box-red-highlight-text {
  color: #b10000;
  margin-bottom: 30px;
  font-weight: 500;
}

.desktop-hr {
  display: block;
}

.mobile-hr {
  display: none;
}

/* flow */
.flow-section {
  padding: 109px 0 82px;
  background: rgba(238, 238, 238, 0.6);
}

.flow-section .inner-page-section-des {
  max-width: 1000px;
  margin-bottom: 30px;
}
.flow-step-wrap {
  display: flex;
  flex-direction: column;
  gap: 75px;
}
.flow-step-box {
  position: relative;
  display: flex;
  align-items: center;
  gap: 56px;
  text-align: left;
  color: #fff;
  font-family: Inter;
}
.flow-box {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
}
.flow-number {
  height: 146px;
  width: 66px;
  position: relative;
}
.flow-number-child {
  position: absolute;
  top: 0px;
  left: 26px;
  width: 40px;
  height: 146px;
}
.wrapper {
  position: absolute;
  top: 45px;
  left: 0px;
  border-radius: 28.5px;
  background-color: #53bf6f;
  width: 57px;
  height: 57px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 14px 22px;
  box-sizing: border-box;
}
.flow-inner {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 19px;
  color: #53bf6f;
}
.flow-title {
  align-self: stretch;
  position: relative;
  font-weight: 600;
  font-size: 20px;
}
.flow-text {
  align-self: stretch;
  height: 47px;
  position: relative;
  color: #000;
  display: inline-block;
  flex-shrink: 0;
}
.flow-right-icon {
  display: flex;
  align-items: center;
  padding: 2px;
  position: relative;
  isolation: isolate;
  gap: 10px;
}
.group-icon {
  height: 141.7px;
  width: 117.7px;
  position: relative;
  z-index: 0;
  flex-shrink: 0;
}

/* box */
.box-section {
  padding-top: 108px;
}
.box-wrap {
  width: 100%;
  justify-content: center;
  position: relative;
  display: flex;
  align-items: center;
  gap: 82px;
  margin: 30px auto 36px;
  text-align: center;
  color: #fff;
  font-family: Inter;
}
.box-item {
  width: 100%;
  max-width: 222px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 14px;
}
.box-head {
  width: 100%;
  height: 111px;
  border-radius: 180px 180px 0px 0px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.box-title {
  position: relative;
  line-height: 40px;
}
.box-inner {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 14px;
  color: #000;
}
.box-line {
  align-self: stretch;
  height: 1px;
  position: relative;
  border-top: 1px solid #000;
  box-sizing: border-box;
}
.box-detail {
  display: flex;
  align-items: center;
  gap: 12px;
}
.box-cost-icon {
  width: 24px;
  position: relative;
  max-height: 100%;
}
.box-text {
  position: relative;
  line-height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

/* premium */
.premium-section {
  padding: 81px 0 0;
  background: linear-gradient(
    0deg,
    rgba(255, 255, 255, 0.3) 18.4%,
    rgba(83, 191, 111, 0.3) 119.6%
  );
}
.premium-wrap {
  position: relative;
  display: flex;
  align-items: center;
  gap: 60px;
  text-align: center;
  color: #5a8164;
  font-family: Inter;
  margin: 30px auto 86px;
}
.premium-box {
  box-shadow: 0px 4px 19.9px rgba(0, 0, 0, 0.25);
  border-radius: 30px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 40px 20px;
  box-sizing: border-box;
}
.premium-inner {
  width: 371px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;
}
.premium-head {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 18px;
}
.premium-title {
  align-self: stretch;
  position: relative;
  line-height: 40px;
  font-weight: 500;
  font-size: 20px;
}
.premium-text {
  align-self: stretch;
  height: 40px;
  position: relative;
  line-height: 40px;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.premium-cost {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 18px;
  color: #fff;
}
.premium-note {
  width: 148px;
  height: 36px;
  font-size: 20px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.premium-note-text {
  position: relative;
  line-height: 40px;
  flex-shrink: 0;
  color: #fff;
}

/* special */
.special-section {
  padding: 95px 0;
  width: 100%;
  max-width: 1440px;
  justify-self: center;
  margin-top: -99px;
  border-radius: 40px;
  background: #fff;
  box-shadow: 0 4px 40.3px 0 rgba(0, 0, 0, 0.25);
}

.premium-section-cottom-img {
  position: relative;
  z-index: -1;
}
.special-wrap {
  width: 100%;
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-wrap: wrap;
  align-content: flex-start;
  gap: 42px 56px;
  margin-top: 30px;
  text-align: center;
  color: #fff;
  font-family: Inter;
}
.special-box {
  width: 100%;
  max-width: 345px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}
.special-head-green {
  align-self: stretch;
  height: 60px;
  box-shadow: 0px 4px 19.5px rgba(0, 0, 0, 0.25);
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.special-title {
  flex: 1;
  position: relative;
  line-height: 40px;
  flex-shrink: 0;
  font-size: 20px;
}
.special-text {
  align-self: stretch;
  position: relative;
  line-height: 40px;
  color: #000;
}
.special-cost-wrap {
  max-width: 345px;
  width: 100%;
  height: auto;
  box-shadow: 0px 4px 19.5px rgba(0, 0, 0, 0.25);
  background-color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 18px 0px 24px;
  box-sizing: border-box;
  gap: 7.5px;
}
.special-note-green {
  max-width: 173px;
  height: 23px;
  width: 100%;
  border-radius: 100px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1px 10px;
  box-sizing: border-box;
}
.special-note-text {
  position: relative;
  flex-shrink: 0;
  font-size: 20px;
  color: #fff;
}

.special-note-des-text {
  line-height: 40px;
}
.special-head-orange {
  align-self: stretch;
  height: 60px;
  box-shadow: 0px 4px 19.5px rgba(0, 0, 0, 0.25);
  background-color: #ff942b;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.special-note-orange {
  max-width: 173px;
  height: 23px;
  width: 100%;
  border-radius: 100px;
  background-color: #ff942b;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2px 10px;
  box-sizing: border-box;
}
/* vas */
.vas-section {
  padding: 128px 0 157px;
}
.vas-section .slider-dots {
  display: none;
}
.vas-section .slider-dot {
  border-color: #53bf6f;
}
.vas-section .slider-dot.active {
  background-color: #53bf6f;
}
.vas-wrap {
  display: flex;
  gap: 14px;
  margin: 30px auto 36px;
}
.vas-box {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 156px;
  text-align: center;
  color: #fff;
  font-family: Inter;

  gap: 8px;
}
.vas-inner {
  display: flex;
  position: relative;
  flex-direction: column;
  width: 278px;
  height: 278px;
  padding-top: 52px;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  border-radius: 278px;
  box-shadow: 0 4px 25.8px 0 rgba(0, 0, 0, 0.25);
}

.vas-half-circle {
  position: absolute;
  width: 100%;
  left: 0;
  bottom: -1px;
  filter: drop-shadow(0 4px 25.8px rgba(0, 0, 0, 0.25));
}

.green-bg {
  background: #53bf6f;
}
.orange-bg {
  background: #ff942b;
}
.vas-title {
  align-self: stretch;
  position: relative;
  line-height: 40px;
  font-weight: 500;
}
.vas-text {
  align-self: stretch;
  position: relative;
  color: #fff;
}
.vas-line {
  align-self: stretch;
  height: 1px;
  position: relative;
  border-top: 1px solid #fff;
  box-sizing: border-box;
}

@media (max-width: 480px) {
  .cost-section {
    padding: 0 0 28px;
  }

  .cost-container {
    margin: 20px auto 28px;
    gap: 20px;
  }

  .cost-up-wrap {
    flex-direction: column;
    gap: 20px;
  }

  .cost-bottom-wrap {
    flex-direction: column;
    gap: 20px;
  }

  .cost-head {
    border-radius: 20px 20px 10px 10px;
    background: linear-gradient(353deg, #53bf6f 14.08%, #3a9752 89.39%);
    height: auto;
    padding: 12px 0 0;
    align-items: flex-start;
  }

  .highest-head {
    height: 157px;
    margin-bottom: -120px;
  }

  .second-high-head {
    height: 118px;
    margin-bottom: -81px;
  }

  .small-head {
    height: 102px;
    margin-bottom: -65px;
  }

  .cost-title {
    line-height: normal;
  }

  .cost-inner {
    flex-direction: column;
    gap: 16px;
    margin-top: 0;
    margin: 0 11px;
    height: auto;
    padding: 30px 17.5px;
  }

  .cost-des {
    flex-direction: row;
    gap: 10px;
  }

  .desktop-hr {
    display: none;
  }

  .mobile-hr {
    display: block;
  }

  .cost-money-icon {
    width: 18px;
    height: auto;
  }

  .cost-strong-text {
    text-align: left;
    flex: 1;
  }

  .cost-detail {
    gap: 8px;
  }

  .cost-text {
    width: 100%;
    max-width: 132px;
  }

  .nowrap-text {
    white-space: nowrap;
  }
  .cost-red-highlight-text {
    max-width: 264px;
    text-align: center;
    margin-bottom: 28px;
  }

  /* flow */
  .flow-section {
    padding: 36px 0 49px;
  }
  .flow-section .inner-page-section-des {
    margin-bottom: 0;
  }

  .flow-step-wrap {
    margin: 24px auto 0;
    gap: 24px;
  }

  .flow-step-box {
    gap: 23px;
  }
  .flow-box {
    width: 100%;
    gap: 0;
  }
  .flow-inner {
    width: 100%;
    max-width: 127px;
  }

  .flow-number {
    width: 56px;
  }

  .wrapper {
    width: 39px;
    height: 39px;
    padding: 0;
    top: 50%;
    transform: translateY(-50%);
  }

  .flow-number-child {
    left: 17px;
  }

  .flow-right-icon {
    padding: 0;
    flex-shrink: 0;
  }

  .group-icon {
    height: auto;
    width: auto;
  }

  /* box */
  .box-section {
    padding: 64px 0 20px;
  }

  .box-wrap {
    margin: 20px auto;
    gap: 16px;
  }

  .box-item {
  }

  .box-inner {
    gap: 8px;
  }

  .box-head {
    height: 48px;
  }

  .box-cost-icon {
    width: 20px;
    height: 20px;
  }

  .box-red-highlight-text {
    max-width: 235px;
    text-align: center;
  }

  /* premium */
  .premium-section {
    padding: 44px 0 0;
  }

  .premium-wrap {
    margin: 20px auto 28px;
    gap: 20px;
    flex-direction: column;
  }

  .premium-box {
    width: 100%;
    padding: 19.5px 10px;
    border-radius: 10px;
  }

  .premium-inner {
    width: 100%;
    gap: 16px;
  }

  .premium-title {
    line-height: normal;
  }

  .premium-note {
    height: 20px;
  }

  .premium-note-text {
    font-size: 14px !important;
  }

  .premium-text {
    height: auto;
  }

  .premium-head {
    gap: 8px;
  }

  .premium-cost {
    gap: 8px;
  }

  .tiny-text {
    font-size: 10px !important;
  }

  /* special */
  .special-section {
    padding: 28px 10px 32px;
    max-width: 325px;
    border-radius: 20px;
    margin-top: -50px;
  }

  .special-wrap {
    gap: 24px 12px;
  }

  .special-box {
    max-width: 146px;
    gap: 8px;
  }

  .special-head-green,
  .special-head-orange {
    margin-bottom: 2px;
    height: 29px;
    box-shadow: none;
  }

  .special-cost-wrap {
    padding: 11.5px 10.5px;
    height: auto;
    box-shadow: 4px 4px 20.3px 0 rgba(0, 0, 0, 0.15);
  }

  .special-note-green,
  .special-note-orange {
    height: 18px;
  }

  .special-text {
    height: 34px;
  }

  /* vas */
  .vas-section {
    padding: 64px 0 52px;
  }

  .vas-slider {
    flex-wrap: nowrap;
  }

  .vas-slide {
    flex-shrink: 0;
    width: calc((100% - 14px) / 2);
  }

  .vas-section .slider-dots {
    display: flex;
    margin-top: 0;
    margin-bottom: 20px;
  }

  .vas-wrap {
    margin: 20px auto 16px;
    gap: 24px;
  }

  .vas-box {
    gap: 8px;
    max-width: 94px;
  }

  .vas-inner {
    width: 169px;
    height: 169px;
    padding-top: 42px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.15);
  }

  .vas-title {
    line-height: normal;
  }

  .vas-half-circle {
    filter: drop-shadow(0 4px 15px rgba(0, 0, 0, 0.15));
    left: 0;
  }
}
